#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

# Setup script for make

__version__ = "$Revision: 1.20 $"[11:-2]
# $Source: /data/cvsroot/LivingLogic/Python/make/setup.py,v $

from distutils.core import setup

DESCRIPTION = """
Make is an object oriented make replacement. Like make it allows you
to specify dependencies between files and actions to be executed
when files don't exist or are out of date with respect to one
of their sources. But unlike make you can do this in a object oriented
way and targets are not only limited to files, but you can implement
e.g. dependencies on database records.
"""

setup(
	name="Make",
	version="0.9.2",
	description="Object oriented make replacement",
	long_description=DESCRIPTION.strip(),
	author="Walter Doerwald",
	author_email="walter@livinglogic.de",
	url="http://www.livinglogic.de/Python/make/",
	license="Python",
	py_modules=['ll.make'],
	package_dir={"ll": ""}
)
